<?php
// The function header by sending raw excel
header("Content-type: application/vnd-ms-excel");
 
// Defines the name of the export file "codelution-export.xls"
header("Content-Disposition: attachment; filename=data-beban-tugas.xls");
 
// Add data table
?>
<?php
	include "php_class/class_mysql.php";
	include "php_class/class_jadwal.php";
	$DataJadwal = new dataJadwal;
	$DataJadwal2 = new dataJadwal;
	$DataJadwal3 = new dataJadwal;
							$tahun = $_POST['tahun'];
							$semester = $_POST['semester'];
							$jurusan = $_POST['jurusan'];
							$program = $_POST['program'];
							
								if ($tahun == '' ){
									$tahun = '2016/2017';
								}
								if ($semester == '' ){
									$semester = 'GENAP';
								}					
								if ($jurusan == '' ){
									$jurusan = 'SEMUA';
								}					
								if ($program == '' ){
									$program = 'Reguler';
								}	
								?>				
          <table>
             <thead>
                <tr>
                    <th>No</th>
                    <th>Nama Dosen</th>
                    <th>NIP</th>
                    <th>Golongan</th>
                    <th>Pangkat</th>
                    <th>Jabatan</th>
                    <th>Status Pegawai</th>
                    <th>Unit Kerja</th>
                    <th>Sub Unit Kerja</th>
                    <th>Pendidikan S3</th>
                    <th>Asisten Kuliah Praktikum</th>
                    <th>Bimbingan Kuliah Kerja/Kerja Praktek</th>
                    <th>Bimbingan Skripsi</th>
                    <th>Penelitian Kelompok / Antar Bidang</th>
                    <th>Penelitian Individu</th>
                    <th>Menulis naskah buku/ Menterjemahkan naskah buku/ Menyunting naskah buku Menulis Diklat</th>
                    <th>Pengabdian Masyarakat</th>
                    <th>Pembimbing Akademika</th>
                    <th>Pembinaan Kegiatan Kemahasiswaan</th>
                    <th>Pimpinan Organisasi Inter</th>
                    <th>Jabatan Struktural</th>
                    <th>Jabatan Non Struktural</th>
                    <th>Semester</th>
                    <th>Tahun</th>
                    <th>Tanggal Surat</th>
                    <th>No Rekening</th>
                    <th>Tugas Minimal Wajib Mengajar</th>
                    <th>Jabatan Struktural</th>
                    <th>Status Kepegawaian (Form B)</th>
                </tr>
            </thead>
            <tbody>
            <?php
            	$JumlahData = $DataJadwal->get_beban_rekap('',$a,'jumlah', $semester, $tahun, $jurusan, $program);
				if ($JumlahData<=0){
					echo "<tr class='odd gradeX'>";
					echo "<td>No Data</td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "<td></td>";
					echo "</tr>";	
				}else{
					for ($a=1;$a<=$JumlahData;$a++){
						
						                            
						
						$id = $DataJadwal->get_beban_rekap('id',$a,'', $semester, $tahun, $jurusan, $program);
						$nama = $DataJadwal->get_beban_rekap('nama',$a,'', $semester, $tahun, $jurusan, $program);
						$nip = $DataJadwal->get_beban_rekap('nip',$a,'', $semester, $tahun, $jurusan, $program);
						$gol = $DataJadwal->get_beban_rekap('gol',$a,'', $semester, $tahun, $jurusan, $program);
						$pangkat = $DataJadwal->get_beban_rekap('pangkat',$a,'', $semester, $tahun, $jurusan, $program);
						$jabatan = $DataJadwal->get_beban_rekap('jabatan',$a,'', $semester, $tahun, $jurusan, $program);
						$statuspegawai = $DataJadwal->get_beban_rekap('statuspegawai',$a,'', $semester, $tahun, $jurusan, $program);
						$unitkerja = $DataJadwal->get_beban_rekap('unitkerja',$a,'', $semester, $tahun, $jurusan, $program);
						$subunitkerja = $DataJadwal->get_beban_rekap('subunitkerja',$a,'', $semester, $tahun, $jurusan, $program);
						$s3 = $DataJadwal->get_beban_rekap('s3',$a,'', $semester, $tahun, $jurusan, $program);
						$satub = $DataJadwal->get_beban_rekap('satub',$a,'', $semester, $tahun, $jurusan, $program);
						$satuc = $DataJadwal->get_beban_rekap('satuc',$a,'', $semester, $tahun, $jurusan, $program);
						$satud = $DataJadwal->get_beban_rekap('satud',$a,'', $semester, $tahun, $jurusan, $program);
						$duaa = $DataJadwal->get_beban_rekap('duaa',$a,'', $semester, $tahun, $jurusan, $program);
						$duab = $DataJadwal->get_beban_rekap('duab',$a,'', $semester, $tahun, $jurusan, $program);
						$duac = $DataJadwal->get_beban_rekap('duac',$a,'', $semester, $tahun, $jurusan, $program);
						$tiga = $DataJadwal->get_beban_rekap('tiga',$a,'', $semester, $tahun, $jurusan, $program);
						$empata = $DataJadwal->get_beban_rekap('empata',$a,'', $semester, $tahun, $jurusan, $program);
						$empatb = $DataJadwal->get_beban_rekap('empatb',$a,'', $semester, $tahun, $jurusan, $program);
						$empatc = $DataJadwal->get_beban_rekap('empatc',$a,'', $semester, $tahun, $jurusan, $program);
						$limaa = $DataJadwal->get_beban_rekap('limaa',$a,'', $semester, $tahun, $jurusan, $program);
						$limab = $DataJadwal->get_beban_rekap('limab',$a,'', $semester, $tahun, $jurusan, $program);
						$semester = $DataJadwal->get_beban_rekap('semester',$a,'', $semester, $tahun, $jurusan, $program);
						$tahun = $DataJadwal->get_beban_rekap('tahun',$a,'', $semester, $tahun, $jurusan, $program);
						$tgl = $DataJadwal->get_beban_rekap('tgl',$a,'', $semester, $tahun, $jurusan, $program);
						$norek = $DataJadwal->get_beban_rekap('norek',$a,'', $semester, $tahun, $jurusan, $program);
						$minimalmengajar = $DataJadwal->get_beban_rekap('minimalmengajar',$a,'', $semester, $tahun, $jurusan, $program);
						$namas = $DataJadwal->get_beban_rekap('namas',$a,'', $semester, $tahun, $jurusan, $program);
						$struktural = $DataJadwal->get_beban_rekap('struktural',$a,'', $semester, $tahun, $jurusan, $program);
						$formb = $DataJadwal->get_beban_rekap('formb',$a,'', $semester, $tahun, $jurusan, $program);

						echo "<tr class='odd gradeX'>";
						echo "<td>".$a."</td>";
						echo "<td>".$nama."</td>";
						echo "<td>".$nip."</td>";
						echo "<td>".$gol."</td>";
						echo "<td>".$pangkat."</td>";
						echo "<td>".$jabatan."</td>";
						echo "<td>".$statuspegawai."</td>";
						echo "<td>".$unitkerja."</td>";
						echo "<td>".$subunitkerja."</td>";
						echo "<td>".$s3."</td>";
						echo "<td>".$satub."</td>";
						echo "<td>".$satuc."</td>";
						echo "<td>".$satud."</td>";
						echo "<td>".$duaa."</td>";
						echo "<td>".$duab."</td>";
						echo "<td>".$duac."</td>";
						echo "<td>".$tiga."</td>";
						echo "<td>".$empata."</td>";
						echo "<td>".$empatb."</td>";
						echo "<td>".$empatc."</td>";
						echo "<td>".$limaa."</td>";
						echo "<td>".$limab."</td>";
						echo "<td>".$semester."</td>";
						echo "<td>".$tahun."</td>";
						echo "<td>".$tgl."</td>";
						echo "<td>".$norek."</td>";
						echo "<td>".$minimalmengajar."</td>";
						echo "<td>".$struktural."</td>";
						echo "<td>".$formb."</td>";
						echo "</tr>";
					}
				}
			?>
        	</tbody>
          </table>
